MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003657ATutorFile Storagepublic2008-12-02 09:472013-04-28 09:04
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.2 
Summary0003657: File Storage Cleanup
DescriptionWe need a way to cleanup file in the file storage area after courses and users are removed from the system. First fix the trunk, so into future claening occurs automatically, then create a small module to clean up file storage for older installations
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003953closedharris Fatal error when we delete multiple user accounts. 

-  Notes
(0003423)
cindy (administrator)
2008-12-08 08:03

a new module "clean_file_storage" is created and checked into SVN branch "mods". This module cleans up the files and folders left over by removed courses and members from ATutor versions older than 1.6.3

SVN Revision: 8263
(0003437)
cindy (administrator)
2008-12-11 07:05

SVN Revision: 8280

Affected scripts:
admin/admin_delete.php
mods/_standard/assignments/module_delete.php
mods/_standard/file_storage/module_delete.php

solution:
1. personal files are deleted only when the personal is deleted.
2. delete course assignment files when course is deleted.
(0006365)
user1
2013-04-28 09:04

5P9Ccz http://pnrbrvthbube.com/, [^] [url=http://zotjtzxkpnxt.com/ [^]]zotjtzxkpnxt[/url], [link=http://vakckonixuxv.com/ [^]]vakckonixuxv[/link], http://iwjufbsojgpw.com/ [^]

- Issue History
Date Modified Username Field Change
2008-12-02 09:47 greg New Issue
2008-12-02 09:47 greg Affects version => SVN
2008-12-02 09:48 greg Status new => assigned
2008-12-02 09:48 greg Assigned To => cindy
2008-12-08 08:03 cindy Note Added: 0003423
2008-12-11 07:05 cindy Status assigned => resolved
2008-12-11 07:05 cindy Fixed in Version => 1.6.2
2008-12-11 07:05 cindy Resolution open => fixed
2008-12-11 07:05 cindy Note Added: 0003437
2009-07-21 08:50 greg Status resolved => closed
2009-10-05 09:31 harris Relationship added related to 0003953
2013-04-28 09:04 user1 Note Added: 0006365


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker